Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel
Interface MIDependency

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MDependency

    public interface MIDependency

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Dependency'.

The following features are supported:

- `File Path`

See Also:
  `MIAnalysisMetaModelPackage.getDependency()`
Generated:
Model:

Method Summary
`String` | `getFilePath()` Returns the value of the 'File Path' attribute.
`void` | `setFilePath(String value)` Sets the value of the '`File Path`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFilePath

    String getFilePath()

  Returns the value of the 'File Path' attribute.

  If the meaning of the 'File Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'File Path' attribute.
  See Also:
    `setFilePath(String)`, `MIAnalysisMetaModelPackage.getDependency_FilePath()`
  Generated:
  Model:
    required="true"

### setFilePath

    void setFilePath(String value)

  Sets the value of the '`File Path`' attribute.

  Parameters:
    `value` - the new value of the 'File Path' attribute.
  See Also:
    `getFilePath()`
  Generated:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net